<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html"/>

<xsl:template match="spike">
  <html>
  <header>
  </header>	 
  <body>
  <H1>Spike configuration File</H1>
  <xsl:text>// The Spike configuration file is an xml-file.</xsl:text>
  <BR></BR>
  <xsl:text>// To edit the configuration file, right-click on the file and choose "edit".</xsl:text>
  <BR></BR>
  <BR></BR>
  <xsl:text>// The config-file of spike supports different configurations for uci and winboard:</xsl:text>
  <BR></BR>
  <xsl:apply-templates />
  </body>
  </html>
</xsl:template>

<xsl:template match="setting">
	<BR></BR>
	<BR></BR>
	<H2>
	<xsl:text>Settings for </xsl:text>
	<xsl:value-of select="@protocol"/>
	<xsl:if test="@enabled!='yes'">
		<xsl:text> (disabled)</xsl:text>
	</xsl:if>
	<xsl:if test="@enabled='yes'">
		<xsl:text> (enabled)</xsl:text>
	</xsl:if>
	</H2>
	<TABLE WIDTH="500" BORDER="1" CELLSPACING="1" CELLPADDING="1">
	<xsl:apply-templates/>
	</TABLE>
</xsl:template>

<xsl:template match="bibliothek">
	<TR>
	<TD>
	<xsl:text>bibliothek:</xsl:text>
	</TD>
	<TD>
	<xsl:choose>
		<xsl:when test="@enabled='yes'">
			<xsl:text> enabled</xsl:text>
		</xsl:when>
		<xsl:otherwise>
			<xsl:text> disabled</xsl:text>
		</xsl:otherwise>
	</xsl:choose>
	</TD>
	<TD>-</TD>
	<TD>
	<xsl:choose>
		<xsl:when test="@option='yes'">
			<xsl:text> option</xsl:text>
		</xsl:when>
		<xsl:otherwise>
			<xsl:text> no option</xsl:text>
		</xsl:otherwise>
	</xsl:choose>
	</TD>
	</TR>
</xsl:template>

<xsl:template match="hash">
	<TR>
	<TD>
	<xsl:text>hash:</xsl:text>
	</TD>
	<TD>enabled</TD>
	<TD>
	<xsl:text> size: </xsl:text>
	<xsl:value-of select="@size"/>
	</TD>
	<TD>
	<xsl:choose>
		<xsl:when test="@option='yes'">
			<xsl:text> option</xsl:text>
		</xsl:when>
		<xsl:otherwise>
			<xsl:text> no option</xsl:text>
		</xsl:otherwise>
	</xsl:choose>
	</TD>
	</TR>
</xsl:template>

<xsl:template match="log">
	<TR>
	<TD>
	<xsl:text>logfile:</xsl:text>
	</TD>
	<TD>
	<xsl:choose>
		<xsl:when test="@enabled='yes'">
			<xsl:text> enabled</xsl:text>
		</xsl:when>
		<xsl:otherwise>
			<xsl:text> disabled</xsl:text>
		</xsl:otherwise>
	</xsl:choose>
	</TD>
	<TD>
	<xsl:text> filename: </xsl:text>
	<xsl:value-of select="@filename"/>
	</TD>
	<TD>
	<xsl:choose>
		<xsl:when test="@option='yes'">
			<xsl:text> option</xsl:text>
		</xsl:when>
		<xsl:otherwise>
			<xsl:text> no option</xsl:text>
		</xsl:otherwise>
	</xsl:choose>
	</TD>
	</TR>
</xsl:template>

<xsl:template match="resign">
	<TR>
	<TD>
	<xsl:text>Resign:</xsl:text>
	</TD>
	<TD>
	<xsl:choose>
		<xsl:when test="@enabled='yes'">
			<xsl:text> enabled</xsl:text>
		</xsl:when>
		<xsl:otherwise>
			<xsl:text> disabled</xsl:text>
		</xsl:otherwise>
	</xsl:choose>
	</TD>
	<TD>
	<xsl:text> threshold: </xsl:text>
	<xsl:value-of select="@value"/>
	<xsl:text> cp </xsl:text>
	</TD>
	<TD>
	<xsl:choose>
		<xsl:when test="@option='yes'">
			<xsl:text> option</xsl:text>
		</xsl:when>
		<xsl:otherwise>
			<xsl:text> no option</xsl:text>
		</xsl:otherwise>
	</xsl:choose>
	</TD>
	</TR>
</xsl:template>

</xsl:stylesheet>

  